*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: ital;
}

body{
  overflow-x: hidden;
}

nav {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 10vh;
  display: flex;
  align-items: center;
  justify-content: space-around;
  z-index: 2;
  backdrop-filter: blur(5px);
}

.nav-items a:hover{
  transform: scale(1.1);
}

.logo {
  cursor: pointer;
  color: #ccc;
  transition: all ease .25s
}

.logo:hover {
  font-size: 27px;
  color: #fff;
}

.nav-items {
  user-select: none;
}

.nav-items a{
  color: black;
  text-decoration: none;
  font-size: larger;
  font-weight: 600;
  margin-inline-start: 20px;
  transition: all ease .25s;
}

.nav-items li:hover{
  transform: scale(1.1);
}

nav img{
  height: 190px;
  width: 210px;
}

.videocover{
  width: 100%;
  height: 100vh;
  overflow: hidden;
  position: relative;
}

.videocover video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.videocover .main-text{
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 2;
  font-weight: 400;
  font-size: 65px;
  font-family: Rubik;
  transform: translate(-50%,-50%);
  color: whitesmoke;
}

.videocover .main-text:hover{
  color: black;
}

.mainfeature{
  margin: 30px 0px;
  width: 100%;
  text-align: center;
}

.mainfeature h1{
  margin-bottom: 10px;
}

.featured-content{
  align-items: center;
  justify-content: center;
  padding: 0px auto;
}

.content-bestseller p{
  margin-bottom: 2px;
}

.bestsellercard{
  background-color: whitesmoke;
  margin:0px 5px;
  width: auto;
  text-align: left;
  padding: 15px 5px;
  border-radius: 10px;
}

.bestsellercard img{
  width: 320px;
}

.content-bestseller p s{
  color: red;
}

.bestsellercard .buyNowBestsellerbtn{
  position: absolute;
  top: 55%;
  left: 47%;
  background-color: transparent;
}

.mainfeature .viewAllButton{
  padding: 8px;
  border: 1px solid black;
  background-color: white;
  margin-top: 25px;
  transition: background-color 0.4s ease, color 0.4s ease, transform 0.4s ease;
}

.mainfeature .viewAllButton:hover{
  background-color: black;
  color: white;
}

.cardimgwrapper{
  position: relative;
  overflow: hidden;
  height: 200px;
  width: 250px;
}

.cardimgwrapper img{
  width: 100%;
  height: auto;
  display: block;
  border-radius: 10px;
}

.cardimgwrapper .buyNowBestsellerbtn {
  position: absolute;
  bottom: 10px;
  left: 50%;
  top: 74%;
  transform: translateX(-50%);
  width: 90%;
  height: 32px;
  background: white;
  color: black;
  border: 1px solid rgba(255, 255, 255, 0.3);
  cursor: pointer;
  opacity: 0;
  white-space: nowrap;
  transition: all 0.4s ease;
  text-align: center;
}

.cardimgwrapper:hover .buyNowBestsellerbtn {
  opacity: 1;
  transform: translateX(-50%) translateY(-5px);
}

.cardimgwrapper .buyNowBestsellerbtn:hover{
  color: white;
  background-color: black;
}

.categoriescontainer{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.focusedproduct{
  margin: 20px auto;
  width: 100vw;
  height: auto;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #444;
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 4/3;
}

.katanacategory{
  height: auto;
  padding: 20px;
  width: calc(25% - 20px);
  margin: 5px;
  display: inline-block;
  background-color: whitesmoke;
}

.katanacategory .checknow{
  border: 1px solid black;
  padding: 5px;
  font-family: ital;
}

.katanacategory .checknow:hover{
  background-color: black;
  color: white;
  transition: all 0.4s ease;
}

.katanacategory .item{
  padding-top: 8px;
  font-size: ital;
}

.secondhero{
  width: 100%;
  height: 90vh;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  background-color: rgb(245, 236, 222);
}

.secondhero .sale{
  font-size: 70px;
  font-weight: 500;
}

.secondhero .offer{
  font-size: medium;
  font-weight: 500;
}

.secondhero .checknow{
  border: 1px solid black;
  padding: 5px;
}

.secondhero .checknow:hover{
  background-color: black;
  color: white;
  transition: all 0.4s ease;
}

.twocontainer{
  display: flex;
  flex-direction: row;
  height: 100vh;
  width: 100%;
  margin-top: 20px;
}

.twocontainer .allbtn{
  padding: 6px;
  color: black;
  background-color: white;
  font-family: ital;
  border: 1px solid black;
}

.twocontainer .allbtn:hover{
  background-color: black;
  color: white;
  transition: all 0.4s ease-in;
}

.twocontainer img {
  width: 50%;
  height: 100%;
  object-fit: cover
}

.twocontainer .sidecontent{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: 100%;
  text-align: center;
}

.sidecontent .weebs{
  font-size: 30px;
  font-family: ital;
}

.sidecontent .widecollection{
  font-size: 50px;
  font-family: ital;
}

.sidecontent .punchline{
  font-size: 27px;
  font-family: ital;
}

.supportdiv{
  margin: 70px auto;
  width: 76%;
}

.support{
  align-items: center;
  text-align: center;
}

.support .pay{
  height: 20px;
  width: 20px;
}

.subscribe{
  margin-top: 40px;
  padding: 80px;
  background-color: rgb(226, 225, 225);
  text-align: center;
  margin-bottom: 40px;
}

.subscribe input[type="email"]{
  text-align: center;
  padding: 2px 10px;
}

.subscribe .subscribe-btn{
  color: black;
  background-color: white;
  font-family: ital;
  border: 1px solid black;
  font-weight: 400;
  padding: 3px 2px;
}

.subscribe .subscribe-btn:hover{
  background-color: black;
  color: white;
  transition: all 0.4s ease-in;
}

.footmain{
  height: 40vh;
  width: 100vw;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 100px;
  clear: both;
}

.footmain .foot{
  height: 30vh;
  width: 30%;
}

.footmain .footmainfirst{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  margin-left: 30px;;
}

.footmain .footmainsecond{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
}

.footmainsecond .logout-btn{
  background-color: white;
  border: none;
}

.footmain .footmainthird{
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}

.footmain .footh3{
  font-size:medium;
  font-weight: 500px;
  margin-bottom: 10px;
}

.footmainfirst .footh3desc{
  font-size: 14px;
}

.footmain a{
  text-decoration: none;
  color: black;
  font-family: itell;
}

.footbody{
  height: 2vh;
  width: 100vw;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 30px;
  margin-bottom: 8px;
}

.footend{
  display: flex;
  justify-content: center;
}

.footend img{
  width: 150px;
  height: 100px;
}

@media (max-width: 1024px) {
  .katanacategory{
    width: calc(33.33% - 20px);
  }
}

@media (max-width: 768px) {
  
  .katanacategory{
    width: calc(50% - 20px);
  }

 .twocontainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    padding: 15px;
  }

  .twocontainer img {
    width: 100%;
    height: auto;
    border-radius: 10px;
  }

  .twocontainer .sidecontent {
    text-align: center;
    font-size: 1rem;
    height: 30%;
  }

  .subscribe{
    margin-bottom: 150px;
  }

  .footmain{
    display: flex;
    flex-direction: column;
    margin-top: 40px;
  }

  .footmain .footmainfirst{
    height: 10vh;
    width: 88%;
    align-items: start;
  }

  .footmain .footmainsecond{
    height: 10vh;
    width: 80%;
    align-items: start;
  }

  .footmain .footmainthird{
    height: 10vh;
    width: 80%;
    align-items: start;    
  }

  .footbody{
    margin-top: 150px;
  }

  .sidecontent{
    margin-top: 50px;
    overflow-wrap: break-word;
  }

  .space{
    margin: 40px;
    padding: 40px;
  }

}


@media (max-width : 480px) {
  .sidecontent{
    margin-top: 70px;
  }

  .katanacategory{
    width: 100%;
  }
}